<?php
/**
 * Content Protector for WordPress. Exclusively on Envato Market: https://1.envato.market/42themeCC
 *
 * @encoding     UTF-8
 * @version      2.0.1
 * @copyright    Copyright (C) 2016-2023 42Theme (https://42theme.com). All rights reserved.
 * @license      Envato Standard Licenses
 * @author       Alexander Khmelnitskiy
 * @support      support@42theme.com
 **/

namespace T42\ContentProtector;

use WP_Upgrader_Skin;

/** Exit if accessed directly. */
if ( ! defined( 'ABSPATH' ) ) {
    header( 'Status: 403 Forbidden' );
    header( 'HTTP/1.1 403 Forbidden' );
    exit;
}

/**
 * Create a quiet skin for the WordPress Upgrader classes.
 * We don't want to show any messages via ajax updates.
 *
 * @since 1.0.0
 * @author Alexander Khmelnitskiy
 **/
class Quiet_Skin extends WP_Upgrader_Skin {

    /**
     * @since 2.8.0
     * @since 5.9.0 Renamed `$string` (a PHP reserved keyword) to `$feedback` for PHP 8 named parameter support.
     *
     * @param string $feedback Message data.
     * @param mixed ...$args Optional text replacements.
     *
     * @return void
     **/
    public function feedback( $feedback, ...$args ) {
        // Suppress feedback messages
    }

} // END class Quiet_Skin extends WP_Upgrader_Skin
